/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.ste.rdstmc.junit.prueffall1;

import static org.junit.Assert.assertTrue;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.ste.rdstmc.allgemein.Beschleunigung;
import de.bsvrz.ste.rdstmc.junit.RDSTMCPrueffall;
import de.bsvrz.ste.rdstmc.junit.tools.WarteAufNeueUndAktualisierteDaten;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * @author Sans
 *
 */
public class Prueffall1_3_340s extends RDSTMCPrueffall
{
  /**
   * Debug-Logger fr Logging-Ausgaben
   */
  private final static Debug _debug = Debug.getLogger();

  @BeforeClass
  public static void setUpBeforeClass() throws Exception 
  {
  }

  @AfterClass
  public static void tearDownAfterClass() throws Exception
  {
  }

  @Before
  public void setUp() throws Exception 
  {
  }

  @After
  public void tearDown() throws Exception
  {
  }
  
  @Test
  public void testPrueffall_1_3_340s()throws Exception
  {
    assertTestGeneratorLaeuft();
    
    WarteAufNeueUndAktualisierteDaten wanuad = new WarteAufNeueUndAktualisierteDaten(getConnection(),
        getMeldungsMenge(), new String[] {}, new SystemObject[] {},
        getDataDescription(), 10000 / Beschleunigung.WERT);
    
    assertPruefZeitKorrekt(340000, getConnection().getTime());
    
    assertTrue("Keine neuen Objekte erzeugt", 
        wanuad.getNeueDaten().size() == 0);
    
    assertTrue("Keine neuen Datenstze zu bestehenden Objekten erzeugt",
        wanuad.getAktualisierteDaten().size() == 0);
  }

}
