/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.ste.rdstmc.junit.tools;

import de.bsvrz.dav.daf.main.config.ConfigurationObject;
import de.bsvrz.ste.rdstmc.test.PrueffallUmgebung;

public class JUnitHelper extends DavConnectionFromProperties
{
  public final static String RDS_MELDUNGS_TYP = "typ.rdsMeldung"; 
  
  private JUnitHelper()
  {
    super();
    
    _lms = (ConfigurationObject)getConnection().getDataModel().getObject(PrueffallUmgebung.LANDESMELDESTELLE_PID);
  }
  
  private ConfigurationObject _lms;
  
  public ConfigurationObject getLms()
  {
    return _lms;
  }
  
  private static JUnitHelper _instance = null;
  
  public synchronized static JUnitHelper getInstance()
  {
    if (_instance == null)
    {
      _instance = new JUnitHelper();
    }
    return _instance;
  }
    
}
